Class | Magick::RVG::ClipPath
In: | lib/rvg/clippath.rb
Parent: | Object

### Methods

new

### Included Modules

ShapeConstructors UseConstructors TextConstructors Describable Stylable Duplicatable

### Public Class methods

new(clip_path_units='userSpaceOnUse') {|self| ...}

Create a clipping path. Within the block create an outline from one or more paths, basic shapes, text objects, or `use`. Everything drawn within the outline will be displayed. Anything drawn outside the outline will not.

If the clipping path contains a `use`, it must directly reference path, basic shape, or text objects.

Attach the clipping path to an object with the :clip_path style.

[Validate]